{% extends "../sub_base.html" %}
{% block title %}Password reset confirm{% endblock %}
{% block sub_base_content %}

{% if request.user.is_authenticated %}
<script>
    window.location.href = '{% url "account:dashboard" %}';
</script>
{% endif %}
    <form class="login-form" method="post">
        {% csrf_token %}
        <h1 class="h3 mb-4 fw-bold">Change your password</h1>
        <p>Use the form below to change your password.</p>

        {% if form.errors %}
            {{form.errors}}
        <div class="alert alert-primary" role="alert">
            Error: Please try again!
        </div>
        {% endif %}

        <label class="small fw-bold">{{ form.new_password1.label}}</label>
        {{ form.new_password1 }}
        <label class="small fw-bold">{{ form.new_password2.label}}</label>
        {{ form.new_password2 }}
        <ul>
            <li>Your password can’t be too similar to your other personal information.</li>
            <li>Your password must contain at least 8 characters.</li>
            <li>Your password can’t be a commonly used password.</li>
            <li>Your password can’t be entirely numeric.</li>
        </ul>
        <button class="btn btn-primary btn-block py-2 mb-4 mt-5" type="submit"
            value="Change">Submit
        </button>
    </form>                      
{% endblock %}